> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a tax group

> Creates a new tax group with name, slug, description, and default status. If marked as default, removes default status from other tax groups.



## OpenAPI

````yaml /swagger/management-api.json post /api/v1/{team_slug}/{app_slug}/tax-groups
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/tax-groups:
    post:
      tags:
        - TaxGroups
      summary: Create a tax group
      description: >-
        Creates a new tax group with name, slug, description, and default
        status. If marked as default, removes default status from other tax
        groups.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/internal_pkg_webserver_v1.InputTaxGroup'
      responses:
        '400':
          description: Invalid request (e.g. bad UUID, validation error)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  requestBodies:
    internal_pkg_webserver_v1.InputTaxGroup:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.InputTaxGroup'
      description: Tax group data
      required: true
  schemas:
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.InputTaxGroup:
      properties:
        description:
          type: string
        is_default:
          description: >-
            If this tax group is the default tax group. If a product is created
            without a tax group will this tax group be selected
          type: boolean
        name:
          type: string
        slug:
          type: string
      required:
        - name
        - slug
      type: object

````